Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1322696 - test_dhcp incorrect for big endians
Summary: test_dhcp incorrect for big endians
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ModemManager
Version: 24
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-03-31 07:03 UTC by Dan Horák
Modified: 2016-04-09 15:25 UTC (History)
3 users (show)

Fixed In Version: ModemManager-1.6-0.2.rc2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-09 15:25:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
fix the bigendian issue on ppc64/s390 (deleted)
2016-04-07 15:18 UTC, Than Ngo
no flags Details | Diff
fix the bigendian issue on ppc64/s390 (deleted)
2016-04-07 15:21 UTC, Than Ngo
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 94777 0 None None None 2016-04-01 14:12:11 UTC

Description Dan Horák 2016-03-31 07:03:35 UTC
test_dhcp fails on s390(x) with

...
TEST: test-modem-helpers-huawei... lt-ModemManager[42769]: <info>  [1459406354.696341] [main.c:218] main(): ModemManager is shut down
(pid=42792)
  /MM/huawei/ndisstatqry:                                              OK
  /MM/huawei/dhcp:                                                     **
ERROR:huawei/tests/test-modem-helpers-huawei.c:183:test_dhcp: assertion failed (inet_ntoa (*((struct in_addr *) &addr)) == dhcp_tests[i].expected_addr): ("163.236.92.100" == "100.92.236.163")
FAIL
GTester: last random seed: R02S174407a4c52d92398f7aa23fa6555127
Makefile:3478: recipe for target 'test-nonrecursive' failed
make[2]: Leaving directory '/builddir/build/BUILD/ModemManager-1.5.990/plugins'
Makefile:3265: recipe for target 'check-am' failed
make[1]: Leaving directory '/builddir/build/BUILD/ModemManager-1.5.990/plugins'
/bin/sh: line 1: 42704 Terminated              G_DEBUG=gc-friendly MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256)) gtester --verbose test-modem-helpers-icera test-modem-helpers-mbm test-service-generic test-modem-helpers-huawei test-modem-helpers-cinterion test-modem-helpers-thuraya test-modem-helpers-altair-lte test-modem-helpers-telit
make[2]: *** [test-nonrecursive] Error 143
make[1]: *** [check-am] Error 2

for full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2173979

Version-Release number of selected component (if applicable):
ModemManager-1.6-0.1.rc1.fc24

Comment 1 Than Ngo 2016-04-07 15:16:18 UTC
i fixed the big endian on s390x/ppc64. It built fine now on s390x/ppc64

http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2177146
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3282920

the patch will be attached in next comment

Comment 2 Than Ngo 2016-04-07 15:18:21 UTC
Created attachment 1144775 [details]
fix the bigendian issue on ppc64/s390

Comment 3 Than Ngo 2016-04-07 15:21:34 UTC
Created attachment 1144777 [details]
fix the bigendian issue on ppc64/s390

Comment 4 Fedora Update System 2016-04-07 16:28:32 UTC
ModemManager-1.6-0.2.rc2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9071a369c8

Comment 5 Fedora Update System 2016-04-08 16:52:47 UTC
ModemManager-1.6-0.2.rc2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9071a369c8

Comment 6 Fedora Update System 2016-04-09 15:25:38 UTC
ModemManager-1.6-0.2.rc2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.